/*
	NIAuthenticationPanel.h
	NetInfo Kit
	Copyright (c) 1994, NeXT Computer, Inc.
	All rights reserved.
 */

#import <Foundation/NSString.h>
#import <NIAccess/NIDomain.h>
#import <AppKit/NSPanel.h>

@interface NIAuthenticationPanel : NSPanel
{
	NSString *userName;
	NSString *password;
	BOOL authenticated;
	id iconButton;
	id userNameText;
	id passwordText;
	id instructionText;
	id cancelButton;
	id authButton;
	id reserved;
}

/* 
 * Class Methods
 */
+ (NIAuthenticationPanel *)authenticationPanel;

/* 
 * Root authentication 
 */
- (BOOL)runModalForDomain:(NIDomain *)domain;

/* 
 * Authentication for specified user in specified domain
 */
- (BOOL)runModalForDomain:(NIDomain *)domain
	userName:(NSString *)name
	instructions:(NSString *)instructions
	allowChange:(BOOL)canChangeUser;

/*
 * Determine authenticated user (if [... allowChange:YES])
 */
- (NSString *)userName;

/*
 * Get password entered by user
 */
- (NSString *)password;

@end
