/*
	NIOpenPanel.h
	NetInfo Kit
	Copyright (c) 1994, NeXT Computer, Inc.
	All rights reserved.
 */

#import <NIInterface/NIDomainPanel.h>
#import <NIAccess/NIDirectory.h>

@interface NIOpenPanel : NIDomainPanel
{
	id directoryPicker;
	id directoryText;
	id directoryTitle;
	NSString *parentPath;
	NSString *directoryKey;
}

/* 
 * Class Methods
 */
+ (NIOpenPanel *)openPanel;

/*
 * Panel controls
 */
- (void)setAllowsMultipleDirectorySelection:(BOOL)flag;
- (BOOL)allowsMultipleDirectorySelection;
- (unsigned)numberOfDirectoriesSelected;
- (void)setDirectoryTitle:(NSString *)title;

/*
 * Set the key for directory values displayed in the directory picker.
 * The default is the first value for the key "name".
 */
- (void)setDirectoryKey:(NSString *)key;

/*
 * Set the start directory.
 */
- (void)setStartingDirectory:(NIDirectory *)aDir;
- (void)setStartingDirectoryName:(NSString *)path;

/*
 * Get user-selected directory.
 */
- (NIDirectory *)directory;
- (NSString *)directoryName;

/*
 * Get user-selected directories if multiple selection is enabled
 */
- (NSArray *)directories;
- (NSArray *)directoryNames;

/* 
 * NSBrowser delagate methods
 */
- (void)browser:(NSBrowser *)sender
	createRowsForColumn:(int)column
	inMatrix:(NSMatrix *)matrix;

- selectItem:sender;
- selectDirectory:sender;

@end
